package fr.iutfbleau.arc_en_ciel;

import android.view.View;
import android.widget.RelativeLayout;

public class ControleurFond implements View.OnClickListener {

    private final RelativeLayout layout;
    private int[] couleurs;
    private int idCouleurActuelle;


    public ControleurFond(RelativeLayout layout, int[] couleurs) {
        this.layout = layout;
        this.couleurs = couleurs;
        this.idCouleurActuelle = 1;
    }


    @Override
    public void onClick(View v) {
        if (idCouleurActuelle == 7) {
            idCouleurActuelle = 0;
        }
        this.layout.setBackgroundColor(this.couleurs[this.idCouleurActuelle]);
        this.idCouleurActuelle++;
    }
}
